commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rahul Akolkar" <rahul.akol...@gmail.com>
Subject Re: [VOTE][modeler] Promote 2.0 RC1 to 2.0 Final (was Re: [modeler] 2.0 RC1 ready for review)
Date Mon, 31 Jul 2006 19:06:21 GMT
On 7/30/06, Davanum Srinivas <davanum@gmail.com> wrote:
> Rahul,
>
> i am going to leave the build.xml.* around for this time...I use the
> maven1 properties (maven.compile.source and maven.compile.target) to
> set the jdk version to 1.3. I will fix the build.xml.
>
<snip/>

Depending upon the transitive closure of 1.3 methods in [modeler],
just that may or may not be sufficient. There have been some
discussions on this, but unfortunately I can't locate them in the
archives ATM (sorry!). Building the binaries with the minimum JDK that
the component supports is probably considered "safer" (and I'm not
sure how to do that with m1 -- which is why I asked).

-Rahul


> thanks,
> dims
>
> On 7/29/06, Rahul Akolkar <rahul.akolkar@gmail.com> wrote:
<snap/>
> >
> > For my own understanding -- are you cutting RCs using ant or maven
> > (for Java compilation)? If m1, how do you ensure JDK 1.3 compat? I
> > know there is a bootclasspath setting in the m2 compiler plugin, but I
> > haven't had the need to figure out the m1 bits yet. I tried to look at
> > the [modeler] POM for clues.
> >
> > -Rahul
> >
<snip/>

---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message